=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

# work around debian/cdbs/uploaders.mk
makebuilddir::
	[ -f debian/control.tmp ] || cp debian/control debian/control.tmp

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_STRIP_ARGS  := --dbg-package=tdevelop-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PACKAGES_WITH_LIBS := tdevelop-trinity

DEB_KDE_APIDOX := yes
DEB_KDE_ENABLE_FINAL :=
DEB_INSTALL_DOCS_tdevelop = AUTHORS
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS := \
				--disable-debug \
				--enable-docbase \
				--enable-scripting \
				--enable-ada \
				--enable-bash \
				--enable-cpp \
				--enable-fortran \
				--enable-haskell \
				--enable-java \
				--enable-pascal \
				--enable-perl \
				--enable-php \
				--enable-python \
				--enable-ruby \
				--enable-sql \
				--enable-antproject \
				--enable-autoproject \
				--enable-customproject \
				--enable-genericproject \
				--enable-scriptproject \
				--enable-trollproject \
				--enable-cvs \
				--enable-vba \
				--enable-subversion \
				--with-pic \
				--with-tdelibsdoxy-dir=/opt/trinity/share/doc/tde/HTML/en/tdelibs-apidocs \
				--with-pythondir=/usr \
#				--with-qtdoc-dir=/usr/share/tqt3/doc/html \
				--prefix=/opt/trinity \
				--with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_BUILDTOOL_ALL="ON" \
 -DWITH_LANGUAGE_ALL="ON" \
 -DWITH_VCS_ALL="ON" \
 -DQTDIR="/usr/share/tqt3" 

binary-install/tdevelop-trinity::
	mkdir -p debian/tdevelop-trinity/opt/trinity/share/pixmaps
	cp debian/tdevelop.xpm debian/tdevelop-trinity/opt/trinity/share/pixmaps
	mv debian/tdevelop-trinity/usr/share/man debian/tdevelop-trinity/opt/trinity/share/
	rm debian/tdevelop-trinity/opt/trinity/lib/trinity/libkdevdesignerpart.*
	rm debian/tdevelop-trinity/opt/trinity/share/services/kdevdesigner_part.desktop
