## tdevelop-trinity 14.0.6

=== debian/changelog ===
tdevelop-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 23:22:43 +0100
