=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Jeremy Lain <jeremy.laine@m4x.org>
-Build-Depends: cdbs (>= 0.4.38), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, gettext, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.38), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 
 Package: tdevelop-trinity
@@ -12,7 +12,7 @@
 Replaces: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
 Breaks: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
 Recommends: tdevelop-trinity-doc, make, libtool, autoconf, automaken, gdb (>= 6.4)
-Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, gettext, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python, g++, kdevdesigner-trinity
+Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python, g++, kdevdesigner-trinity
 Description: An IDE for Unix/X11
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features
