=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,6 @@
 LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
 endif
 export LD_LIBRARY_PATH
-
-# work around debian/cdbs/uploaders.mk
-makebuilddir::
-	[ -f debian/control.tmp ] || cp debian/control debian/control.tmp
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
