=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: tdevelop-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Jeremy Lain <jeremy.laine@m4x.org>
-Build-Depends: cdbs (>= 0.4.38), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.38), debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, tdelibs14-trinity-doc, libtqtinterface-doc, flex, python-all, libcvsservice-trinity-dev, groff-base, libsvn-dev, libaprutil1-dev, libdb-dev
 Standards-Version: 3.8.4
 
 Package: tdevelop-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, tdevelop-data-trinity (>= ${source:Version}), tdebase-trinity-bin
-Replaces: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
-Breaks: kdevelop-kde3 (<< 4:14.0.0~), kdevelop-trinity (<< 4:14.0.0~)
+Replaces: kdevelop-trinity (<< 4:14.0.0~)
+Breaks: kdevelop-trinity (<< 4:14.0.0~)
 Recommends: tdevelop-trinity-doc, make, libtool, autoconf, automaken, gdb (>= 6.4)
-Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python, g++, kdevdesigner-trinity
+Suggests: libtqtinterface-dev, tdelibs14-trinity-dev, sgmltools-lite, ark-trinity, kbabel-trinity, tdeiconedit-trinity, tdesdk-scripts-trinity, graphviz, tdebase-tdeio-plugins-trinity, exuberant-ctags, khelpcenter-trinity, tdelibs14-trinity-doc, libtqtinterface-doc, konsole-trinity, cmake, ruby, python-all, g++, kdevdesigner-trinity
 Description: An IDE for Unix/X11
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features 
@@ -25,8 +25,8 @@
 Package: tdevelop-trinity-doc
 Section: doc
 Architecture: all
-Replaces: kdevelop-kde3-doc (<< 4:14.0.0~), kdevelop-trinity-doc (<< 4:14.0.0~)
-Breaks: kdevelop-kde3-doc (<< 4:14.0.0~), kdevelop-trinity-doc (<< 4:14.0.0~)
+Replaces: kdevelop-trinity-doc (<< 4:14.0.0~)
+Breaks: kdevelop-trinity-doc (<< 4:14.0.0~)
 Description: An IDE for Unix/X11 - documentation
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features 
@@ -40,8 +40,8 @@
 
 Package: tdevelop-data-trinity
 Architecture: all
-Replaces: kdevelop-data-kde3 (<< 4:14.0.0~), kdevelop-data-trinity (<< 4:14.0.0~)
-Breaks: kdevelop-data-kde3 (<< 4:14.0.0~), kdevelop-data-trinity (<< 4:14.0.0~)
+Replaces: kdevelop-data-trinity (<< 4:14.0.0~)
+Breaks: kdevelop-data-trinity (<< 4:14.0.0~)
 Description: An IDE for Unix/X11 - data
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features 
@@ -62,8 +62,8 @@
 Package: tdevelop-trinity-dev
 Architecture: any
 Depends: tdevelop-trinity (= ${binary:Version}), tdelibs14-trinity-dev
-Replaces: kdevelop-kde3-dev (<< 4:14.0.0~), kdevelop-trinity-dev (<< 4:14.0.0~)
-Breaks: kdevelop-kde3-dev (<< 4:14.0.0~), kdevelop-trinity-dev (<< 4:14.0.0~)
+Replaces: kdevelop-trinity-dev (<< 4:14.0.0~)
+Breaks: kdevelop-trinity-dev (<< 4:14.0.0~)
 Description: An IDE for Unix/X11 - development files
  TDevelop is an easy to use Integrated Development Environment
  for developing C/C++ applications under X11. It features
