## tdevelop-trinity 14.0.12

=== debian/changelog ===
tdevelop-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Feb 2022 02:20:37 +0100
