## tdevelop-trinity 14.0.13

=== debian/changelog ===
tdevelop-trinity (4:14.0.13-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Sep 2022 03:29:54 +0200
