## tdevelop-trinity 14.1.0

=== languages/cpp/pcsimporter/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( qtimporter )
add_subdirectory( tdelibsimporter )
add_subdirectory( customimporter )
add_subdirectory( qt4importer )
