=== languages/ruby/app_templates/qtruby4app/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set( _tarball_content
    main.rb qtruby4app.rb qtruby4app.png qtruby4app.kdevelop
    application.qrc ReadMe filesave.xpm fileopen.xpm
    filenew.xpm editcopy.xpm editpaste.xpm editcut.xpm
    app-Makefile app.filelist
)
list( SORT _tarball_content )

tde_create_tarball(
  TARGET qtruby4app.tar.gz
  FILES ${_tarball_content}
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/qtruby4app.tar.gz qtruby4app.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


tde_create_translated_desktop(
  SOURCE qtruby4app.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates
  KEYWORDS Category
  PO_DIR tdevelop-desktops
)
