=== debian/changelog ===
tdevelop-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 17 Jan 2023 01:25:38 +0100
