## tdevelop-trinity 14.1.2

=== debian/changelog ===
tdevelop-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Apr 2024 23:40:53 +0200
