## tdevelop-trinity 14.1.5~pre1

=== debian/changelog ===
tdevelop-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 5f7b2eed9d554a8ee935065534be57de37d6a6b1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdevelop

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
